import type { PreviewMessageParams } from '../Bubble/types';
export type CommandData = {
    isFromBeeetle: boolean;
} & ({
    command: 'open' | 'toggle' | 'close' | 'hidePreviewMessage' | 'unmount';
} | ShowMessageCommandData | SetPrefilledVariablesCommandData | SetInputValueCommandData);
export interface ShowMessageCommandData {
    command: 'showPreviewMessage';
    message?: Pick<PreviewMessageParams, 'avatarUrl' | 'message'>;
}
export interface SetPrefilledVariablesCommandData {
    command: 'setPrefilledVariables';
    variables: Record<string, string | number | boolean>;
}
export interface SetInputValueCommandData {
    command: 'setInputValue';
    value: string;
}
