import type { BubbleProps } from './features/Bubble/types';
import { close, hidePreviewMessage, open, setInputValue, setPrefilledVariables, showPreviewMessage, toggle, unmount } from './features/Commands';
export declare function initBubble(props: BubbleProps): void;
interface BeeetleBot {
    initBubble: typeof initBubble;
    close: typeof close;
    hidePreviewMessage: typeof hidePreviewMessage;
    open: typeof open;
    setPrefilledVariables: typeof setPrefilledVariables;
    showPreviewMessage: typeof showPreviewMessage;
    toggle: typeof toggle;
    setInputValue: typeof setInputValue;
    unmount: typeof unmount;
}
export declare function parseBeeetleBot(): {
    initBubble: typeof initBubble;
    close: typeof close;
    hidePreviewMessage: typeof hidePreviewMessage;
    open: typeof open;
    setPrefilledVariables: typeof setPrefilledVariables;
    showPreviewMessage: typeof showPreviewMessage;
    toggle: typeof toggle;
    setInputValue: typeof setInputValue;
    unmount: typeof unmount;
};
export declare function injectBeeetleBotInWindow(beeetleBot: BeeetleBot): void;
export {};
